# tidy::parseFile

# tidy_parse_file

(PHP 5, PHP 7, PECL tidy >= 0.5.2)

tidy::parseFile -- tidy_parse_file — Parse markup in file or URI

### Description

Object oriented style

public tidy::parseFile ( string `$filename` [, mixed `$config` [, string `$encoding` [, bool `$use_include_path` = `FALSE` ]]] ) : bool

Procedural style

tidy_parse_file ( string `$filename` [, mixed `$config` [, string `$encoding` [, bool `$use_include_path` = `FALSE` ]]] ) : tidy

Parses the given file.

### Parameters

`filename`

  If the `filename` parameter is given, this function will also read that file and initialize the object with the file, acting like tidy_parse_file().

`config`

  The config `config` can be passed either as an array or as a string. If a string is passed, it is interpreted as the name of the configuration file, otherwise, it is interpreted as the options themselves.

  For an explanation about each option, see » http://tidy.sourceforge.net/docs/quickref.html.

`encoding`

  The `encoding` parameter sets the encoding for input/output documents. The possible values for encoding are: ascii, latin0, latin1, raw, utf8, iso2022, mac, win1252, ibm858, utf16, utf16le, utf16be, big5, and shiftjis.

`use_include_path`

  Search for the file in the include_path.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 tidy::parseFile() example

`<?php
$tidy = new tidy();
$tidy->parseFile('file.html');
$tidy->cleanRepair();
if(!empty($tidy->errorBuffer)) {
echo "The following errors or warnings occurred:\n";
echo $tidy->errorBuffer;
}
?>`

### See Also

- tidy::parsestring() - Parse a document stored in a string
- tidy::repairfile() - Repair a file and return it as a string
- tidy::repairstring() - Repair a string using an optionally provided configuration file